Index: trunk/Include/directx9/d3dx9mesh.sbp
===================================================================
--- trunk/Include/directx9/d3dx9mesh.sbp	(revision 300)
+++ trunk/Include/directx9/d3dx9mesh.sbp	(revision 497)
@@ -1,8 +1,3 @@
 'd3dx9mesh.sbp
-
-
-#ifndef _INC_D3DX9MESH
-#define _INC_D3DX9MESH
-
 
 ' patch mesh can be quads or tris
@@ -19,9 +14,9 @@
     D3DXMESH_32BIT                  = &H001  'If set, then use 32 bit indices, if not set use 16 bit indices.
 	D3DXMESH_DONOTCLIP              = &H002  'Use D3DUSAGE_DONOTCLIP for VB & IB.
-	D3DXMESH_POINTS                 = &H004  'Use D3DUSAGE_POINTS for VB & IB. 
-	D3DXMESH_RTPATCHES              = &H008  'Use D3DUSAGE_RTPATCHES for VB & IB. 
-	D3DXMESH_NPATCHES               = &H4000 'Use D3DUSAGE_NPATCHES for VB & IB. 
+	D3DXMESH_POINTS                 = &H004  'Use D3DUSAGE_POINTS for VB & IB.
+	D3DXMESH_RTPATCHES              = &H008  'Use D3DUSAGE_RTPATCHES for VB & IB.
+	D3DXMESH_NPATCHES               = &H4000 'Use D3DUSAGE_NPATCHES for VB & IB.
 	D3DXMESH_VB_SYSTEMMEM           = &H010  'Use D3DPOOL_SYSTEMMEM for VB. Overrides D3DXMESH_MANAGEDVERTEXBUFFER
-	D3DXMESH_VB_MANAGED             = &H020  'Use D3DPOOL_MANAGED for VB. 
+	D3DXMESH_VB_MANAGED             = &H020  'Use D3DPOOL_MANAGED for VB.
 	D3DXMESH_VB_WRITEONLY           = &H040  'Use D3DUSAGE_WRITEONLY for VB.
 	D3DXMESH_VB_DYNAMIC             = &H080  'Use D3DUSAGE_DYNAMIC for VB.
@@ -74,5 +69,5 @@
 
 Const Enum D3DXEFFECTDEFAULTTYPE
-    D3DXEDT_STRING = &H1       ' pValue points to a null terminated ASCII string 
+    D3DXEDT_STRING = &H1       ' pValue points to a null terminated ASCII string
     D3DXEDT_FLOATS = &H2       ' pValue points to an array of floats - number of floats is NumBytes / sizeof(float)
     D3DXEDT_DWORD  = &H3       ' pValue points to a DWORD
@@ -292,5 +287,5 @@
 	Abstract Function GetPatchInfo(PatchInfo As *D3DXPATCHINFO) As DWord
 
-	'Control mesh access    
+	'Control mesh access
 	Abstract Function GetVertexBuffer(ppVB As **IDirect3DVertexBuffer9) As DWord
 	Abstract Function GetIndexBuffer(ppIB As **IDirect3DIndexBuffer9) As DWord
@@ -336,5 +331,5 @@
 	'Set min bone influence. Bone influences that are smaller than this are ignored
 	Abstract Function SetMinBoneInfluence(MinInfl As Single) As DWord
-	'Get min bone influence. 
+	'Get min bone influence.
 	Abstract Function GetMinBoneInfluence() As Single
 
@@ -350,5 +345,5 @@
 	Abstract Function Clone(ppSkinInfo As **ID3DXSkinInfo) As DWord
 
-	'Update bone influence information to match vertices after they are reordered. This should be called 
+	'Update bone influence information to match vertices after they are reordered. This should be called
 	'if the target vertex buffer has been reordered externally.
 	Abstract Function Remap(NumVertices As DWord, pVertexRemap As DWordPtr) As DWord
@@ -367,5 +362,5 @@
 	Abstract Function ConvertToBlendedMesh(pMesh As *ID3DXMesh, Options As DWord, pAdjacencyIn As DWordPtr, pAdjacencyOut As DWordPtr, pFaceRemap As DWordPtr, ppVertexRemap As **ID3DXBuffer, pMaxFaceInfl As DWordPtr, pNumBoneCombinations As DWordPtr, ppBoneCombinationTable As **ID3DXBuffer, ppMesh As **ID3DXMesh) As DWord
 
-	'Takes a mesh and returns a new mesh with per vertex blend weights and indices 
+	'Takes a mesh and returns a new mesh with per vertex blend weights and indices
 	'and a bone combination table that describes which bones palettes affect which subsets of the mesh
 	Abstract Function ConvertToIndexedBlendedMesh(pMesh As *ID3DXMesh, Options As DWord, paletteSize As DWord, pAdjacencyIn As DWordPtr, pAdjacencyOut As DWordPtr, pFaceRemap As DWordPtr, ppVertexRemap As **ID3DXBuffer, pMaxVertexInfl As DWordPtr, pNumBoneCombinations As DWordPtr, ppBoneCombinationTable As **ID3DXBuffer, ppMesh As **ID3DXMesh) As DWord
@@ -430,5 +425,2 @@
 Declare Function D3DXOptimizeFaces Lib "dx9abm" Alias "D3DXOptimizeFaces_abm" (pbIndices As VoidPtr, cFaces As DWord, cVertices As DWord, b32BitIndices As Long, pFaceRemap As DWordPtr) As DWord
 Declare Function D3DXOptimizeVertices Lib "dx9abm" Alias "D3DXOptimizeVertices_abm" (pbIndices As VoidPtr, cFaces As DWord, cVertices As DWord, b32BitIndices As Long, pFaceRemap As DWordPtr) As DWord
-
-
-#endif '_INC_D3DX9MESH
